/**
 * Created by IntelliJ IDEA.
 * User: m09vav2
 * Date: 07.10.2009
 * Time: 17:25:10
 * To change this template use File | Settings | File Templates.
 */
import java.util.*;
import java.io.*;


public class A2 {
    public static void main (String[] args)  throws Exception {
        Scanner s=new Scanner  (new File("sort.in"));
        int n=s.nextInt();
        int[] a=new int[n];
        int i;
        int x;
               for (i=1; i<=n; i++)  {   a[i]=s.nextInt();}
        PrintWriter p=new PrintWriter (new File("sort.out"));
        for (i=1; i<=n; i++)  {  if ( a[i]>a[i+1]) {x=a[i] ;a[i]=a[i+1]; a[i+1]=x;}  }
               for (i=1; i<=n; i++)  {   p.println (a[i]);}
        p.close();
             }
}
